
$FreeBSD: branches/RELENG_9_2_0/net/ser/files/patch-modules::mysql::my_con.c 300897 2012-07-14 14:29:18Z beat $

--- modules/mysql/my_con.c
+++ modules/mysql/my_con.c
@@ -70,6 +70,9 @@
 		goto err;
 	}
 
+	/* Enable reconnection explictly */
+	ptr->con->reconnect = 1;
+
 	ptr->timestamp = time(0);
 
 	ptr->id = id;
